Metadata-Version: 2.4
Name: association-studio
Version: 0.4.0
Summary: Study of the association metrics with nuScenes and kinematic tracker.
Project-URL: ChangeLog, https://kovalp.github.io/association-studio-docs/CHANGELOG
Author-email: Peter Koval <pkoval@vicomtech.org>
License-Expression: MIT
Requires-Python: <3.13,>=3.12
Requires-Dist: kinematic-tracker>=19.3.0
Requires-Dist: matplotlib>=3.10.8
Requires-Dist: nuscenes-devkit>=1.2.0
Requires-Dist: opencv-python-headless>=4.11.0.86
Requires-Dist: rich-argparse>=1.7.2
Requires-Dist: scipy-stubs>=1.17.1.0
Description-Content-Type: text/markdown

# Association studio

The app helps to analyze the actually existing implementations of the association metrics.
The analysis implies computing the metric values in a GUI featuring two bounding boxes.
The user is able to move and rotate one of the boxes. The values of the currently selected
association metrics are calculated and represented instantly.

logo
VicomTech logo

## Usage 

There is a matplotlib-driven GUI

```shell
association-studio
```

screenshot

Checkout the active keystrokes and mouse events in the brief usage description:

```shell
association-studio --help
```

usage

## Install

```shell
pip install association-studio
```



